Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Priority_Mapping Class Reference

The interface for priority mapping. More...

`#include <Priority_Mapping.h>`

Inheritance diagram for TAO_Priority_Mapping:

[legend]
List of all members.

## Public Methods

virtual | ~TAO_Priority_Mapping (void)
| The destructor.
virtual CORBA::Boolean | to_native (RTCORBA::Priority corba_priority, RTCORBA::NativePriority &native_priority)=0
virtual CORBA::Boolean | to_CORBA (RTCORBA::NativePriority native_priority, RTCORBA::Priority &corba_priority)=0

## Detailed Description

The interface for priority mapping.

Check the RT-CORBA spec (orbos/99-02-12) secions 4.5.2

## Constructor & Destructor Documentation

TAO_Priority_Mapping::~TAO_Priority_Mapping | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

virtual CORBA::Boolean TAO_Priority_Mapping::to_CORBA | ( | RTCORBA::NativePriority | native_priority,
|  | RTCORBA::Priority & | corba_priority
| ) | `[pure virtual]`

| Implemented in TAO_Continuous_Priority_Mapping, TAO_Direct_Priority_Mapping, TAO_Linear_Priority_Mapping, and TAO_Multi_Priority_Mapping.

virtual CORBA::Boolean TAO_Priority_Mapping::to_native | ( | RTCORBA::Priority | corba_priority,
|  | RTCORBA::NativePriority & | native_priority
| ) | `[pure virtual]`

| Implemented in TAO_Continuous_Priority_Mapping, TAO_Direct_Priority_Mapping, TAO_Linear_Priority_Mapping, and TAO_Multi_Priority_Mapping.

The documentation for this class was generated from the following files:

- Priority_Mapping.h
- Priority_Mapping.cpp